<?php

namespace app\Exceptions;

use app\Logger;
use \Exception;
use \Throwable;

class CommentNotFoundException extends Exception
{
	public function __construct(int $id, int $code = 0, ?Throwable $previous = null)
	{
		Logger::Error("Couldn't find comment id ($id)");
		parent::__construct("Couldn't find comment id ($id)", $code, $previous);
	}
}
