<?php

namespace app\Exceptions;

use app\Logger;
use \Exception;
use \Throwable;

class ConfigEntryNotFoundException extends Exception {
    public function __construct(string $config = "", int $code = 0, ?Throwable $previous = null)
	{
		Logger::Error("Couldn't find config key entry ($config)");
		parent::__construct("Couldn't find config key entry ($config)", $code, $previous);
	}
}