<?php

namespace app\Exceptions;

use app\Logger;
use \Exception;
use \Throwable;

class UnauthenticatedException extends Exception
{
	public function __construct(int $id, int $code = 0, ?Throwable $previous = null)
	{
		Logger::Error("Unauthenticated exception. ($id)");
		parent::__construct("Unauthenticated exception. ($id)", $code, $previous);
	}
}
