<?php

namespace app\Controllers;

use Pecee\SimpleRouter\SimpleRouter;
use app\Interfaces\IRouteController;
use app\Hajeebtok;

class HomeController implements IRouteController
{
	public static function redirect(): void {
        if(Hajeebtok::$Config->GetByDotKey("Instance.DebugMode")) return;
		response()->redirect("https://" . Hajeebtok::$Config->GetByDotKey("Instance.URL"));
	}

	public static function RegisterRoutes(): void
	{
		SimpleRouter::group([
			"prefix" => "/",

		], function () {
			SimpleRouter::get("/", [HomeController::class, "redirect"]);
		});
	}
}
